package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcAlarmBindModel = (*customDcAlarmBindModel)(nil)

type (
	// DcAlarmBindModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcAlarmBindModel.
	DcAlarmBindModel interface {
		dcAlarmBindModel
	}

	customDcAlarmBindModel struct {
		*defaultDcAlarmBindModel
	}
)

// NewDcAlarmBindModel returns a model for the database table.
func NewDcAlarmBindModel(conn sqlx.SqlConn) DcAlarmBindModel {
	return &customDcAlarmBindModel{
		defaultDcAlarmBindModel: newDcAlarmBindModel(conn),
	}
}
