
from sqlalchemy.orm import sessionmaker
from sqlalchemy import create_engine,text

class Base():

    __engine = None

    def __init__(self, db):
        if Base.__engine is None:
            Base.__engine = create_engine('mysql+pymysql://{user}:{password}@{host}:{port}/{dbname}'.format(**db))

    def execute(self, query):
        with Base.__engine.connect() as conn:
            conn.execute(text(query))
            conn.commit()

    @staticmethod
    def get_session():
        DBSession = sessionmaker(bind=Base.__engine)
        session = DBSession()

        return session